package cn.com.ctop.common.module.service;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import cn.com.ctop.common.module.entity.FileInfo;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Description: 文件信息
 * @Author: jeecg-boot
 * @Date: 2019-07-28
 * @Version: V1.0
 */
public interface IFileInfoService extends IService<FileInfo> {

    void uploadVideoToBytedance(String accountId, String videoUrl, String userId,String materialName);

    Map<String, Object> uploadImageToBytedance(String accountId, String imageFileId);

    List<FileInfo> getFileInfoByMd5(String md5);

    Map<String, Object> getCreativeWords(Long accountId);

    public JSONObject getSiteList(Long accountId);

    JSONObject getCreativeWord(CtopOauthToken token, Long advertiserId);

    String downLoadByUrl(String fileUrl);

    JSONObject getActionText(Long accountId, String landingType);
}
